Nodes & EdgesAdd node URL
Nodes & Edges

Add node URL

Add a tracked URL to a canvas node. URLs are monitored for analytics.

curl -X POST "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "url": "https://acme-retail.com/checkout",
  "match_type": "exact"
}'
{
  "success": true,
  "data": {
    "id": "url_5kN2mPqR",
    "url": "https://acme-retail.com/checkout",
    "match_type": "exact",
    "created_at": "2024-12-25T10:00:00Z"
  }
}
POST
/canvases/{canvasId}/nodes/{nodeId}/urls
POST
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
canvasIdstring
Required

Canvas identifier.

path
nodeIdstring
Required

Canvas node identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
urlstring
Required

URL to track on this node.

Format: uri
match_typestring

URL matching strategy.

Options: exact, contains, regex
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

canvasIdstring
Required

Canvas identifier.

nodeIdstring
Required

Canvas node identifier.

Body

application/json
urlstring
Required

URL to track on this node.

match_typestring

URL matching strategy.

Allowed values:exactcontainsregex

Responses